org.apache.lucene.luke.app.desktop.components.fragments.search

## Class MLTPaneProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.fragments.search.MLTPaneProvider

All Implemented Interfaces:
  ComponentOperatorRegistry.ComponentOperator, MLTTabOperator

    public final class MLTPaneProvider
    extends Object
    implements MLTTabOperator

Provider of the MLT pane

### Constructor Summary

Constructors
Constructor and Description
`MLTPaneProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JScrollPane` `get()`
`MLTConfig` `getConfig()`
`void` `setAnalyzer(Analyzer analyzer)`
`void` `setFields(Collection<String> fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MLTPaneProvider

    public MLTPaneProvider()

### Method Detail

#### get

    public JScrollPane get()

#### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)

Specified by:
  `setAnalyzer` in interface `MLTTabOperator`

#### setFields

    public void setFields(Collection<String> fields)

Specified by:
  `setFields` in interface `MLTTabOperator`

#### getConfig

    public MLTConfig getConfig()

Specified by:
  `getConfig` in interface `MLTTabOperator`